﻿@model Mjesto

@{
    ViewBag.Title = "Ažuriranje mjesta";
}

<h1>Uredi mjesto</h1>
<p>
    <small>
        Korisniku se daje opcija da uredi sve predikate mjesta. Sva polja su obavezna. Korisniku se nakon potvrde uređivanja, na glavnoj stranici mjesto ispisuje poruka o uspjehu ili neuspjehu promjene.
    </small>
</p>

<form asp-route-page="@ViewBag.Page"
      asp-route-sort="@ViewBag.Sort"
      asp-route-ascending="@ViewBag.Ascending"
      method="post">
    <div asp-validation-summary="All"></div>
    <input type="hidden" asp-for="PostanskiBroj" />
    <div class="form-group">
        <label asp-for="Naziv"></label>
        <div><span asp-validation-summary="Naziv"></span></div>
        <input asp-for="Naziv" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkDrzavaIso"></label>
        <div><span asp-validation-summary="FkDrzavaIso"></span></div>
        <select class="form-control" asp-for="FkDrzavaIso" asp-items="ViewBag.Drzave">
            <option selected value="" disabled>Odaberite državu</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Spremi</button>
        <a asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>